#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-silver
version:              3.3.2
visibility:           public
id:                   tasty-silver-3.3.2-8Bchwsjcc6TIh7Hp3KRBPs
key:                  tasty-silver-3.3.2-8Bchwsjcc6TIh7Hp3KRBPs
license:              MIT
maintainer:           Andreas Abel, Philipp Hausmann
author:               Philipp Hausmann, Andreas Abel, Roman Cheplyaka, and others
homepage:             https://github.com/phile314/tasty-silver
synopsis:             A fancy test runner, including support for golden tests.
description:
    This package provides a fancy test runner and support for «golden testing».

    A golden test is an IO action that writes its result to a file.
    To pass the test, this output file should be identical to the corresponding
    «golden» file, which contains the correct result for the test.

    The test runner allows filtering tests using regexes, and to interactively
    inspect the result of golden tests.

    This package is a heavily extended fork of tasty-golden.

category:             Testing
abi:                  424a5c28d2d990dc4ce659a57590442e
exposed:              True
exposed-modules:
    Test.Tasty.Silver Test.Tasty.Silver.Advanced
    Test.Tasty.Silver.Filter Test.Tasty.Silver.Interactive
    Test.Tasty.Silver.Interactive.Run Test.Tasty.Silver.Internal

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-silver-3.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-silver-3.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-silver
hs-libraries:         HStasty-silver-3.3.2-8Bchwsjcc6TIh7Hp3KRBPs
depends:
    ansi-terminal-1.0-5Pj6bAix6VY3w0TdvmvVT
    async-2.2.5-ISASXWQBo5t2kHzwBCdXKD base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1 deepseq-1.4.6.1
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    optparse-applicative-0.17.1.0-B69L9MONH8rG7Fb3K1hLYa
    process-1.6.16.0 process-extras-0.7.4-BziNodlerKX37xRjY3dUM0
    regex-tdfa-1.3.2.2-AWRtW3HEkDj8mIC5eY5JP0
    silently-1.2.5.3-ELa4xfIWJNsGKlyJ7FNmrT stm-2.5.0.2
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    tasty-1.4.3-5lpGv6GxGqXCGSbxUoauJO
    temporary-1.3-5DXvPPCb7rKJ7qxYJfJo8P text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-tasty-silver/html/tasty-silver.haddock

haddock-html:         /usr/share/doc/haskell-tasty-silver/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

